
QGIS Application - Bug report #14779

Categorized layers not rendered at all

2016-05-06 02:10 AM - François-Xavier Thomas

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:2.18.16 Regression?: No

Operating System: Ubuntu Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 22736

Description

Some vector layer styles we use stopped rendering at all in 2.14. We usually generate them in Python, but the bug can be reproduced in

the UI :

1) Open the attached Shapefile in QGIS

2) Go to Layer Style

3) Select "Categorized", click on "Classify" then "Apply". The vector layer is rendered properly.

4) Remove the blank category, then "Apply". The vector layer disappears completely in 2.14.

This is probably due to the very high (much higher than we should use!) float precision of the shapefile field, but I'd still consider that a

regression since it works very well in 2.12.

History

#1 - 2017-05-01 01:05 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#2 - 2018-02-26 12:59 PM - Norwin Roosen

This still happens in 2.18.16. I can confirm that this only occurs with float values with more than 2 decimals.

I am not familiar with the codebase, but this toString() might be the cause:

https://github.com/qgis/QGIS/blob/release-2_18/src/core/symbology-ng/qgscategorizedsymbolrendererv2.cpp#L199-L200

#3 - 2018-03-03 11:04 AM - Giovanni Manghi

- Subject changed from Categorized layers not rendered at all in 2.14 to Categorized layers not rendered at all

- Affected QGIS version changed from 2.14.2 to 2.18.16

- Description updated

I am not familiar with the codebase, but this toString() might be the cause:

https://github.com/qgis/QGIS/blob/release-2_18/src/core/symbology-ng/qgscategorizedsymbolrendererv2.cpp#L199-L200

can you try test/propose a patch?

#4 - 2019-03-09 03:09 PM - Giovanni Manghi
- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
